Subject: Re: [RFC v2 1/2] PCI-Express Non-Transparent Bridge Support

From: Greg KH <[email-masked]>
Date: Tue, 31 Jul 2012 16:14:31 -0700

On Tue, Jul 31, 2012 at 03:51:05PM -0700, Jon Mason wrote:
> On Tue, Jul 31, 2012 at 03:23:38PM -0700, Greg KH wrote:
> > On Sun, Jul 29, 2012 at 05:26:33PM -0700, Jon Mason wrote:
> > > + *   You should have received a copy of the GNU General Public License
> > > + *   along with this program; if not, write to the Free Software
> > > + *   Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
> > 
> > You really are going to track the FSF's office movements for the next
> > 40+ years?
> > 
> > > + *   The full GNU General Public License is included in this distribution
> > > + *   in the file called LICENSE.GPL.
> > 
> > No it isn't, this sentance is totally wrong for any in-kernel code,
> > please remove it.
> > 
> > Also do the same for all the other files you added please.
> 
> I echo'ed your original comments on this to Intel Legal and am waiting
> on a response.  I 100% agree, but I need their signoff first.
> 
> It is worth noting that this version of the license is already in the
> kernel in numerous other drivers:
> drivers/sfi/*
> drivers/scsi/isci/*
> drivers/dma/ioat/dma_v3.c
> drivers/net/wireless/iwlwifi/*
> drivers/net/wireless/iwlegacy/*

Just because others got it wrong, doesn't mean you need to continue to :)

greg k-h